package es.uv.saic.domain;

import java.io.Serializable;
import java.util.Objects;

public class AcreditacioPK implements Serializable {
	private static final long serialVersionUID = 1L;

	private String tlugar;
	private Integer lugar;
	
	public AcreditacioPK() {}
	
	public AcreditacioPK(String tlugar, Integer lugar) {
		this.tlugar = tlugar;
		this.lugar = lugar;
	}

	public String getTlugar() {
		return tlugar;
	}

	public void setTlugar(String tlugar) {
		this.tlugar = tlugar;
	}

	public Integer getLugar() {
		return lugar;
	}

	public void setLugar(Integer lugar) {
		this.lugar = lugar;
	}

	@Override
	public int hashCode() {
		return Objects.hash(lugar, tlugar);
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		AcreditacioPK other = (AcreditacioPK) obj;
		return Objects.equals(lugar, other.lugar) && Objects.equals(tlugar, other.tlugar);
	}

}
